import { firestore } from 'firebase/app';
import { BaseCrud } from './BaseCrud';
declare type Data = Record<string, unknown>;
declare type BaseProps = {
    collectionName?: string;
    parent?: new (parentIdsOrThisId?: string | [string, ...string[]], id?: string) => Base<Data>;
    db?: firestore.Firestore;
};
export declare class Base<T extends Data> extends BaseCrud<T> {
    get baseProps(): BaseProps;
    get props(): BaseProps;
    get combinedProps(): BaseProps;
    constructor(parentIdsOrThisId?: string | [string, ...string[]], id?: string);
}
export {};
